/* An addition Copyright (C) 2004 by Gerd Stolpmann */

#ifndef FILESIZE_H
#define FILESIZE_H

typedef struct FILESIZE_Context {
  long size;
} FILESIZE_CTX;

void FILESIZE_Init (FILESIZE_CTX *ctx);
void FILESIZE_Update (FILESIZE_CTX *ctx, const unsigned char *buf, int bufsize);
char * FILESIZE_End (FILESIZE_CTX *ctx, char *digest);
char * FILESIZE_File (char *filename, char *digest);

#endif

